Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040859
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] Web POSmajoralways2019-05-13 13:212019-07-17 09:23
ReporterucarrionView Statuspublic 
Assigned Toalekosmp86 
PrioritynormalResolutionfixedFixed in VersionRR19Q4
StatusclosedFix in branchFixed in SCM revision09c8442a6209
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040859: 'Check stock' screen unbalanced

DescriptionThe screen in where the stock info is shown is unbalanced; the buttons are covered ones to the others.
Steps To Reproduce-Login retail webpos touchpoint
-Browse, bestsellers, select 'Multi-tool'.
-The stock screen is displayed; check that it is unbalanced
Proposed SolutionThe screen must be balanced
TagsNo tags attached.
Attached Filesjpg file icon IMG_20190513_131524.jpg [^] (3,329,603 bytes) 2019-05-13 13:21
png file icon Screenshot from 2019-07-10 18-12-37.png [^] (204,807 bytes) 2019-07-10 18:14


jpg file icon Selection_617.jpg [^] (88,756 bytes) 2019-07-11 09:28


jpg file icon IMG_20190715_084204.jpg [^] (3,466,455 bytes) 2019-07-15 10:07

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041165 closedalekosmp86 'Related Documents' popup unbalanced 

-  Notes
(0113204)
hgbot (developer)
2019-07-05 15:39

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 09c8442a6209e0daae7ee21e6772bf1b5193f3de
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Wed Jul 03 15:05:18 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09c8442a6209e0daae7ee21e6772bf1b5193f3de [^]

Fixed issue 40859: 'Check stock' screen has been balanced for mobiles

---
M web/org.openbravo.retail.posterminal/css/obpos-main.css
M web/org.openbravo.retail.posterminal/js/pointofsale/view/ps-productdetailsview.js
---
(0113259)
adrianromero (manager)
2019-07-10 18:14

It looks like not fixed. Buttons overlap. see attached screenshot.
(0113263)
adrianromero (manager)
2019-07-11 08:48

I will review again the layout against the minimum supported resolutions -> http://wiki.openbravo.com/wiki/Retail:Developers_Guide/How-to/How_to_test_screen_resolutions [^]
(0113265)
guilleaer (developer)
2019-07-11 09:29
edited on: 2019-07-11 10:49

I see problems in 2 columns layouts when the screen is not very wide.
check from 800px to 830px
see attached screenshot (selction_617.png)

(0113292)
hgbot (developer)
2019-07-11 17:42

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f65a896c19746fde972ac3b0832b3a0e69843ac2
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Thu Jul 11 11:18:32 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f65a896c19746fde972ac3b0832b3a0e69843ac2 [^]

Related to issue 40859: Fixed overlapped buttons when width is between 800px and
875px

---
M web/org.openbravo.mobile.core/assets/css/ob-standard.css
---
(0113362)
ucarrion (developer)
2019-07-15 10:06

The screen is still unbalanced (see the image). I need to reopen the issue.
(0113461)
hgbot (developer)
2019-07-17 07:35

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: d732d156070cd99ce147447bdb47842791c2c563
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Wed Jul 17 01:33:01 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d732d156070cd99ce147447bdb47842791c2c563 [^]

Related to issue 40859: Fixed buttons' size in Check Stock window for screen width
lower than 393px

---
M web/org.openbravo.retail.posterminal/css/obpos-main.css
---
(0113463)
hgbot (developer)
2019-07-17 09:21

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 50f80109a986c2541a0ec3bffdf5f793485890ea
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jul 17 09:21:07 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/50f80109a986c2541a0ec3bffdf5f793485890ea [^]

Related to issue 40859: Fixed stock window in thin resolution

---
M web/org.openbravo.retail.posterminal/css/obpos-main.css
---
(0113464)
guilleaer (developer)
2019-07-17 09:23

http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d732d156070cd99ce147447bdb47842791c2c563 [^]

http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/50f80109a986c2541a0ec3bffdf5f793485890ea [^]

- Issue History
Date Modified Username Field Change
2019-05-13 13:21 ucarrion New Issue
2019-05-13 13:21 ucarrion Assigned To => Retail
2019-05-13 13:21 ucarrion File Added: IMG_20190513_131524.jpg
2019-05-13 13:21 ucarrion Triggers an Emergency Pack => No
2019-07-05 15:39 hgbot Checkin
2019-07-05 15:39 hgbot Note Added: 0113204
2019-07-05 15:39 hgbot Status new => resolved
2019-07-05 15:39 hgbot Resolution open => fixed
2019-07-05 15:39 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09c8442a6209e0daae7ee21e6772bf1b5193f3de [^]
2019-07-10 18:14 adrianromero Assigned To Retail => alekosmp86
2019-07-10 18:14 adrianromero Note Added: 0113259
2019-07-10 18:14 adrianromero Status resolved => new
2019-07-10 18:14 adrianromero Resolution fixed => open
2019-07-10 18:14 adrianromero File Added: Screenshot from 2019-07-10 18-12-37.png
2019-07-10 18:15 adrianromero Relationship added related to 0041165
2019-07-11 08:48 adrianromero Note Added: 0113263
2019-07-11 09:28 guilleaer File Added: Selection_617.jpg
2019-07-11 09:29 guilleaer Note Added: 0113265
2019-07-11 10:49 guilleaer Note Edited: 0113265 View Revisions
2019-07-11 15:31 hgbot Checkin
2019-07-11 15:31 hgbot Note Added: 0113284
2019-07-11 15:31 hgbot Status new => resolved
2019-07-11 15:31 hgbot Resolution open => fixed
2019-07-11 15:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/09c8442a6209e0daae7ee21e6772bf1b5193f3de [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-discounts/rev/09c8442a6209e0daae7ee21e6772bf1b5193f3de [^]
2019-07-11 17:42 hgbot Checkin
2019-07-11 17:42 hgbot Note Added: 0113292
2019-07-11 18:35 guilleaer Note Deleted: 0113284
2019-07-11 18:44 guilleaer Review Assigned To => guilleaer
2019-07-11 18:44 guilleaer Status resolved => closed
2019-07-11 18:44 guilleaer Fixed in Version => RR19Q4
2019-07-15 10:06 ucarrion Note Added: 0113362
2019-07-15 10:06 ucarrion Status closed => new
2019-07-15 10:06 ucarrion Resolution fixed => open
2019-07-15 10:06 ucarrion Fixed in Version RR19Q4 =>
2019-07-15 10:07 ucarrion File Added: IMG_20190715_084204.jpg
2019-07-17 07:35 hgbot Checkin
2019-07-17 07:35 hgbot Note Added: 0113461
2019-07-17 09:21 hgbot Checkin
2019-07-17 09:21 hgbot Note Added: 0113463
2019-07-17 09:22 guilleaer Status new => scheduled
2019-07-17 09:23 guilleaer Note Added: 0113464
2019-07-17 09:23 guilleaer Status scheduled => resolved
2019-07-17 09:23 guilleaer Fixed in Version => RR19Q4
2019-07-17 09:23 guilleaer Resolution open => fixed
2019-07-17 09:23 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker